Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## avrora.sim
Class InterpreterFactory

    java.lang.Object
      avrora.sim.InterpreterFactory

Direct Known Subclasses:
  DBBCInterpreter.Factory, GenInterpreter.Factory

public abstract class InterpreterFactory
extends java.lang.Object

The `InterpreterFactory` class represents a factory for creating interpreters. This is used to create new interpreters for simulators so that the simulator is isolated from the details of constructing new interpreters, which could have a considerable number of options.

Constructor Summary
`InterpreterFactory()`

Method Summary
`abstract BaseInterpreter` | `newInterpreter(Simulator s, Program p, MicrocontrollerProperties pr)` The `newInterpreter()` method creates a new interpreter given the simulator, the program, and the properties of the microcontroller.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InterpreterFactory

    public InterpreterFactory()

Method Detail

### newInterpreter

    public abstract BaseInterpreter newInterpreter(Simulator s,
                                                   Program p,
                                                   MicrocontrollerProperties pr)

  The `newInterpreter()` method creates a new interpreter given the simulator, the program, and the properties of the microcontroller.

  Parameters:
    `s` - the simulator for which the interpreter is being created
    `p` - the program to load into the interpreter
    `pr` - the properties of the microcontroller
  Returns:
    a new instance of the `BaseInterpreter` class for the program

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD